Debian Bug report logs - #249533
O: imwheel -- Program to support the "wheel" on most new mice

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Amaya Rodrigo Sastre <amaya@debian.org>

Date: Mon, 17 May 2004 23:03:03 UTC

Severity: normal

Fixed in version imwheel/1.0.0pre10-1

Done: Christopher Martin <chrsmrtn@freeshell.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249533; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Amaya Rodrigo Sastre <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya Rodrigo Sastre <amaya@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-devel@lists.debian.org
Subject: O: imwheel -- Program to support the "wheel" on most new mice
Date: Tue, 18 May 2004 00:50:58 +0200
Package: wnpp
Severity: normal

I intend to orphan the imwheel package.

I am no longer using it or properly able to take care of it, mainly
because I don't use XFree 3.x.x anymore. I still find this package
important/useful for people running old or slow hardware, that's why I'm
orphaning it instead of removing it from the archive. It has a RC bug
that can posibly be downgraded. It should not be hard to fix, but I
don't have the hardware.

If anyone is interested, please drop me a line. If nobody adopts imwheel
in a month or so, I will request it's removal from the archive.

The package description is:
 Most new mice, including the Microsoft IntelliMouse, and the Logitech
 MouseMan+, Wheel Mouse, and others, now have a "wheel" button in the
 middle of them. This wheel button acts both as a standard button (by
 pressing it), and a wheel, which under MS Windows may be used for
 scrolling windows around.

 This program supports the wheel scrolling operation by one of two
 means: 
 1. Some newer X servers support mapping the wheel to buttons 4 and 5,
    which imwheel then captures and supports,
 2. Using a patched version of gpm, the normal mouse events are passed
    on to the X server through /dev/gpmdata (gpm's standard "repeater"
    mode), and in addition wheel events are sent to another pipe,
    /dev/gpmwheel. imwheel picks up these events, and translates them.
    This is not currently supported or needed in Debian.
 
 Author: Jonathan Atkins <jcatki@jonatkins.org>
 Homepage: http://jonatkins.org/imwheel/

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.5-1-k7
Locale: LANG=en_US, LC_CTYPE=es_ES.ISO-8859-1 (ignored: LC_ALL set to en_IE@euro)

-- 
 .''`. "Pero Ranty, ¿tú no tienes ningún pantalón largo?" --
: :' :   ErConde le dijo a Ranty, que nunca ha tenido frío
`. `'      Proudly running Debian GNU/Linux (Sid 2.6.5 Ext3)  
  `-   www.amayita.com  www.malapecora.com  www.chicasduras.com



Reply sent to Christopher Martin <chrsmrtn@freeshell.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya Rodrigo Sastre <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 249533-close@bugs.debian.org (full text, mbox):

From: Christopher Martin <chrsmrtn@freeshell.org>
To: 249533-close@bugs.debian.org
Subject: Bug#249533: fixed in imwheel 1.0.0pre10-1
Date: Tue, 01 Jun 2004 17:17:07 -0400
Source: imwheel
Source-Version: 1.0.0pre10-1

We believe that the bug you reported is fixed in the latest version of
imwheel, which is due to be installed in the Debian FTP archive:

imwheel_1.0.0pre10-1.diff.gz
  to pool/main/i/imwheel/imwheel_1.0.0pre10-1.diff.gz
imwheel_1.0.0pre10-1.dsc
  to pool/main/i/imwheel/imwheel_1.0.0pre10-1.dsc
imwheel_1.0.0pre10-1_powerpc.deb
  to pool/main/i/imwheel/imwheel_1.0.0pre10-1_powerpc.deb
imwheel_1.0.0pre10.orig.tar.gz
  to pool/main/i/imwheel/imwheel_1.0.0pre10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 249533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christopher Martin <chrsmrtn@freeshell.org> (supplier of updated imwheel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 31 May 2004 20:44:25 -0400
Source: imwheel
Binary: imwheel
Architecture: source powerpc
Version: 1.0.0pre10-1
Distribution: unstable
Urgency: medium
Maintainer: Christopher Martin <chrsmrtn@freeshell.org>
Changed-By: Christopher Martin <chrsmrtn@freeshell.org>
Description: 
 imwheel    - Program to support non-standard buttons on new mice
Closes: 229409 232353 249533
Changes: 
 imwheel (1.0.0pre10-1) unstable; urgency=medium
 .
   * New maintainer. (Closes: #249533)
   * New upstream release:
     + No longer segfaults when using "(null)". (Closes: #232353)
     + Patch to prevent "no ~/.imwheelrc" warning no longer required.
     + Fixes the reporting of window classes from GTK2 apps. This may
       require some users to reconfigure, since apps which had
       worked with "(null)" now need their specific window class.
   * Incorporates FTBFS-fixing patch. Thanks to Sebastian Muszynski.
     (Closes: #229409)
   * Scripts to run IMWheel with X automatically are now in place but disabled
     by default.
   * Many other minor packaging changes and updates.
   * Bump Standards-Version to 3.6.1.0.
Files: 
 f4268d6fb6e2734efdf9edbdea315899 608 x11 optional imwheel_1.0.0pre10-1.dsc
 d65d1950f654be9b3e7b6053f436d51f 476125 x11 optional imwheel_1.0.0pre10.orig.tar.gz
 c3cd5c48704dd8c050fd5517dfe45669 6259 x11 optional imwheel_1.0.0pre10-1.diff.gz
 8f5486f95a71a8e3df87f92aaf583cb0 85392 x11 optional imwheel_1.0.0pre10-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAvPAK3JE9mF3wMWcRAkwlAKCGnVHt3+TymHHb4Wc7cmGGiE3VcgCfZ6eV
A9aWriew4Wa89ATP1No5SMw=
=dduO
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:04:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.